org.hibernate.search.query.hibernate.impl

## Class CriteriaObjectInitializer

- java.lang.Object
- - org.hibernate.search.query.hibernate.impl.CriteriaObjectInitializer

- All Implemented Interfaces:
    ObjectInitializer

      public class CriteriaObjectInitializer
      extends Object
      implements ObjectInitializer

  Initialize object using one or several criteria queries.
  Author:
    Emmanuel Bernard, Gunnar Morling, Guillaume Smet

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static CriteriaObjectInitializer` | `INSTANCE`

    - ### Fields inherited from interface org.hibernate.search.query.hibernate.impl.ObjectInitializer

      `ENTITY_NOT_YET_INITIALIZED`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `initializeObjects(List<EntityInfo> entityInfos, LinkedHashMap<EntityInfoLoadKey,Object> idToObjectMap, ObjectInitializationContext objectInitializationContext)` Given a array of

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final CriteriaObjectInitializer INSTANCE

  - ### Method Detail

    - #### initializeObjects

          public void initializeObjects(List<EntityInfo> entityInfos,
                                        LinkedHashMap<EntityInfoLoadKey,Object> idToObjectMap,
                                        ObjectInitializationContext objectInitializationContext)

      Description copied from interface: `ObjectInitializer`
      Given a array of
      Specified by:
        `initializeObjects` in interface `ObjectInitializer`
      Parameters:
        `entityInfos` - the `EntityInfo` instances to initialize
        `idToObjectMap` - map keeping to store the loaded entities in
        `objectInitializationContext` - gives access to the resources needed in the context of entity initialization

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved